////////////////////////////////////////////////////////////////////////////////////
/// @file CCoordonnee.cpp
/// @author DGI
/// @date 2005-06-15
/// @version 1.0
///
/// @addtogroup chargeur3ds Chargeur 3DS
/// @{
////////////////////////////////////////////////////////////////////////////////////

#include "CCoordonnee.h"

namespace chargeur3ds {

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CCoordonnee::CCoordonnee ( const Vecteur2f& _tc)
   ///
   /// Constructeur par paramtres
   ///
   /// @param _tc : Coordonne de texture
   ///
   /// @return Aucune
   ///
   ////////////////////////////////////////////////////////////////////////
   CCoordonnee::CCoordonnee ( const Vecteur2f& _tc)
   :tc ( _tc)
   {
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CCoordonnee::importer ( ifstream& in)
   ///
   /// Lecture  partir de l'exportateur de 3d studio max
   ///
   /// @param[in] in : Flux de lecture
   ///
   /// @return Aucune
   ///
   ////////////////////////////////////////////////////////////////////////
   void CCoordonnee::importer ( ifstream& in)
   {
       in>>tc[0];
       in>>tc[1];
       float nothing;
       in>>nothing;
   }


   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn operator< ( CEcritureFichierBinaire& out, const CCoordonnee& stc)
   ///
   /// Surcharge de l'oprateur <
   ///
   /// @param[out] out : Flux d'criture
   /// @param[in]  stc : Coordonne  crire
   ///
   /// @return Flux d'criture
   ///
   ////////////////////////////////////////////////////////////////////////
   CEcritureFichierBinaire& operator< ( CEcritureFichierBinaire& out, const CCoordonnee& stc)
   {
       out<stc.tc;
       return out;
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn operator> ( CLectureFichierBinaire& in, CCoordonnee& stc)
   ///
   /// Surcharge de l'oprateur >
   ///
   /// @param[in] in : Flux de lecture
   /// @param[out] stc : Coordonne  lire
   ///
   /// @return Flux de lecture
   ///
   ////////////////////////////////////////////////////////////////////////
   CLectureFichierBinaire& operator> ( CLectureFichierBinaire& in, CCoordonnee& stc)
   {
       in>stc.tc;
       return in;
   }

}  // Fin de l'espace de nom chargeur3ds


////////////////////////////////////////////////////////////////////////////////////
/// @}
////////////////////////////////////////////////////////////////////////////////////
