////////////////////////////////////////////////////////////////////////////////////
/// @file CCoordonnee.h
/// @author DGI
/// @date 2005-06-15
/// @version 1.0
///
/// @addtogroup chargeur3ds Chargeur 3DS
/// @{
////////////////////////////////////////////////////////////////////////////////////
#ifndef __CCOORDONNEE_H__
#define __CCOORDONNEE_H__


#include "Vecteur.h"

using namespace std;


namespace chargeur3ds {


   ///////////////////////////////////////////////////////////////////////////
   /// @class CCoordonnee
   /// @brief Contient une coordonne de texture
   ///
   /// @author DGI-2990
   /// @date 2005-09-27
   ///////////////////////////////////////////////////////////////////////////
   class CCoordonnee
   {
   public:    
       /// Construction 
       CCoordonnee ( const Vecteur2f& _tc=Vecteur2f ( 0,0) );
       /// Destruction
       ~CCoordonnee () {;}

       /// Surcharge de l'oprateurs < (crire dans un fichier binaire)
       friend CEcritureFichierBinaire& operator< ( CEcritureFichierBinaire& out, const CCoordonnee& stc);
       /// Surcharge de l'oprateurs > (Lecture dans un fichier binaire)
       friend CLectureFichierBinaire& operator> ( CLectureFichierBinaire& in, CCoordonnee& stc);

       /// Lecture d'un fichier txt
       void importer ( ifstream& in);

       /// Les coordones de texture
       Vecteur2f tc;
   };


} // Fin de l'espace de nom chargeur3ds


#endif // __CCOORDONNEE_H__


////////////////////////////////////////////////////////////////////////////////////
/// @}
////////////////////////////////////////////////////////////////////////////////////
