////////////////////////////////////////////////////////////////////////////////////
/// @file CFace.cpp
/// @author DGI
/// @date 2005-06-15
/// @version 1.0
///
/// @addtogroup chargeur3ds Chargeur 3DS
/// @{
////////////////////////////////////////////////////////////////////////////////////

#include "CFace.h"

namespace chargeur3ds {

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CFace::CFace()
   ///
   /// Constructeur par dfaut
   ///
   /// @return Aucune
   ///
   ////////////////////////////////////////////////////////////////////////
   CFace::CFace()
   {
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn operator< ( CEcritureFichierBinaire& out, const CFace& face)
   ///
   /// Surcharge de l'oprateur <
   ///
   /// @param[out] out : Flux d'criture
   /// @param[in] face : Face  crire
   ///
   /// @return Flux d'criture
   ///
   ////////////////////////////////////////////////////////////////////////
   CEcritureFichierBinaire& operator< ( CEcritureFichierBinaire& out, const CFace& face)
   {
       out<face.id[0];
       out<face.id[1];
       out<face.id[2];

       out<face.tid[0];
       out<face.tid[1];
       out<face.tid[2];

       out<face.vnormal[0];
       out<face.vnormal[1];
       out<face.vnormal[2];

       out<face.normal;

       return out;
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn operator> ( CLectureFichierBinaire& in, CFace& face)
   ///
   /// Surcharge de l'oprateur >
   ///
   /// @param[in] in : Flux de lecture
   /// @param[out] face : Face  lire
   ///
   /// @return Flux de lecture
   ///
   ////////////////////////////////////////////////////////////////////////
   CLectureFichierBinaire& operator> ( CLectureFichierBinaire& in, CFace& face)
   {
       in>face.id[0];
       in>face.id[1];
       in>face.id[2];

       in>face.tid[0];
       in>face.tid[1];
       in>face.tid[2];

       in>face.vnormal[0];
       in>face.vnormal[1];
       in>face.vnormal[2];

       in>face.normal;

       return in;
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CFace::importer ( ifstream& in)
   ///
   /// Lecture  partir de l'exportateur de 3d studio max
   ///
   /// @param[in] in : Flux de lecture
   ///
   /// @return Aucune
   ///
   ////////////////////////////////////////////////////////////////////////
   void CFace::importer ( ifstream& in)
   {
       in>>id[0];
       in>>id[1];
       in>>id[2];
       in>>tid[0];
       in>>tid[1];
       in>>tid[2];

       in>>vnormal[0];
       in>>vnormal[1];
       in>>vnormal[2];
       in>>normal;
   }

} // Fin de l'espace de nom chargeur3ds


////////////////////////////////////////////////////////////////////////////////////
/// @}
////////////////////////////////////////////////////////////////////////////////////
