////////////////////////////////////////////////////////////////////////////////////
/// @file CVertex.cpp
/// @author DGI
/// @date 2005-06-15
/// @version 1.0
///
/// @addtogroup chargeur3ds Chargeur 3DS
/// @{
////////////////////////////////////////////////////////////////////////////////////

#include "CVertex.h"

namespace chargeur3ds {


   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CVertex::CVertex ( const Vecteur3& _pos)
   ///
   /// Constructeur par paramtres
   ///
   /// @param[in] _pos : Position du vertex
   ///
   /// @return Aucune
   ///
   ////////////////////////////////////////////////////////////////////////
   CVertex::CVertex ( const Vecteur3& _pos)
   :pos ( _pos)
   {
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CVertex::importer ( ifstream& in)
   ///
   /// Lecture des paramtres  partir d'un stream
   ///
   /// @param[in] in : Flux de lecture
   ///
   /// @return Aucune
   ///
   ////////////////////////////////////////////////////////////////////////
   void CVertex::importer ( ifstream& in)
   {
       in>>pos[0];
       in>>pos[1];
       in>>pos[2];
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CEcritureFichierBinaire& operator< ( CEcritureFichierBinaire& out, const CVertex& sv)
   ///
   /// Surcharge de l'oprateur <
   ///
   /// @param[out] out : Fichier binaire de sortie
   /// @param[in] sv : Vertex  crire
   ///
   /// @return Flux d'criture
   ///
   ////////////////////////////////////////////////////////////////////////
   CEcritureFichierBinaire& operator< ( CEcritureFichierBinaire& out, const CVertex& sv)
   {
       out<sv.pos;
       return out;
   }

   ////////////////////////////////////////////////////////////////////////
   ///
   /// @fn CLectureFichierBinaire& operator> ( CLectureFichierBinaire& in, CVertex& sv)
   ///
   /// Surcharge de l'oprateur >
   ///
   /// @param[in]  in : Fichier binaire de lecture
   /// @param[out] sv : Vertex de lecture
   ///
   /// @return Flux de lecture
   ///
   ////////////////////////////////////////////////////////////////////////
   CLectureFichierBinaire& operator> ( CLectureFichierBinaire& in, CVertex& sv)
   {
       in>sv.pos;
       return in;
   }


} // Fin de l'espace de nom chargeur3ds


////////////////////////////////////////////////////////////////////////////////////
/// @}
////////////////////////////////////////////////////////////////////////////////////
